C     This file establishes the declarations and COMMON blocks for
C  use with the FITS Library Package.
C
C			Donald H. Gudehus, Summer, 2005
C
	PARAMETER (LUMIN=11,LUMAX=20,MAPMAX=256,NPLANEMAX=999)
C
	CHARACTER*80 FITSFILENAME(LUMIN:LUMAX)
	INTEGER NUMRECORDS(LUMIN:LUMAX) !  Total number of records in a file
	INTEGER NUMHEADERS(LUMIN:LUMAX) !  Total number of headers in a file
	INTEGER NUMKEYCARDS(0:MAPMAX,LUMIN:LUMAX)
					!  Number of keycards in a header
	INTEGER NUMMAPS(LUMIN:LUMAX) !  Total number of maps in a file
	INTEGER HEADERRECORDS(2,0:MAPMAX,LUMIN:LUMAX)
					!  Start and end for each header
	INTEGER MAPRECORDS(2,MAPMAX,LUMIN:LUMAX) !  Start and end for each map,
						 !  excluding the header
	INTEGER BITPIX(0:MAPMAX,LUMIN:LUMAX)
	INTEGER NAXIS(0:MAPMAX,LUMIN:LUMAX),NAXIS1(0:MAPMAX,LUMIN:LUMAX),
	1NAXIS2(0:MAPMAX,LUMIN:LUMAX),NAXIS3(0:MAPMAX,LUMIN:LUMAX)
	INTEGER EXTEND(LUMIN:LUMAX) !  0 if keyword not present, 1 if true,
				    !  2 if false
	LOGICAL SIMPLE(LUMIN:LUMAX),COMPLX(0:MAPMAX,LUMIN:LUMAX)
	LOGICAL QUIET(LUMIN:LUMAX) !  If true, the file is opened with no 
				   !  information displayed on the screen
	REAL*8 BSCALE(0:MAPMAX,LUMIN:LUMAX),BZERO(0:MAPMAX,LUMIN:LUMAX)
	COMMON /FITSFACTS_CHARACTER/ FITSFILENAME
	COMMON /FITSFACTS_INTEGER4/ NUMRECORDS,NUMHEADERS,NUMKEYCARDS,NUMMAPS,
	1HEADERRECORDS,MAPRECORDS,BITPIX,NAXIS,NAXIS1,NAXIS2,NAXIS3,EXTEND
	COMMON /FITSFACTS_LOGICALS/ SIMPLE,COMPLX,QUIET
	COMMON /FITSFACTS_REAL8/ BSCALE,BZERO
C
